## symbol
Class TestWindowedSymbolList

    java.lang.Object
      symbol.TestWindowedSymbolList

    public class TestWindowedSymbolList

extends Object

Demonstration of the WindowedSymbolList class.

This program generates a random DNA sequence. It then constructs views of this sequence that are onto windows of width 1-5. Each view is then printed out, so that you can check that the WindowSymbolList is the correct sequence.

Constructor Summary
`TestWindowedSymbolList()`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestWindowedSymbolList

    public TestWindowedSymbolList()

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`